Trzy schematy
Każdy schemat to krótki fragment tekstu, który telefon umie przekazać właściwej aplikacji. mailto: otwiera aplikację poczty, tel: otwiera aplikację do wybierania numeru, a sms: aplikację wiadomości, z już uzupełnionym odbiorcą, a czasem i treścią.
Numery telefonów najlepiej działają w formacie międzynarodowym ze znakiem plus i numerem kierunkowym kraju, na przykład +15035550123, żeby kod działał dla odwiedzających z innych krajów.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (starsza konwencja, nadal szeroko odczytywana)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (starsza konwencja dla e-maili)
Kodowanie treści wiadomości
Tematy i treści wiadomości w linkach mailto i sms muszą być kodowane procentowo, więc spacja staje się %20, a ampersand w tekście %26. Niezakodowane znaki mogą uciąć wiadomość albo zepsuć link.
Platformy nie zawsze parsowały parametr body w sms identycznie, co jest jednym z powodów, dla których starsza forma SMSTO: nadal jest częsta w generatorach QR. Pewnym sprawdzianem jest przetestowanie na iPhonie i Androidzie przed drukiem.
Czego te kody nie potrafią
Kod QR nie może sam wysłać e-maila, wysłać SMS-a ani wykonać połączenia. Otwiera tylko aplikację z uzupełnionymi polami, a osoba skanująca decyduje, czy nacisnąć wyślij lub zadzwoń.
Ponieważ odbiorca jest widoczny przed wysłaniem, warto sprawdzić, czy zgadza się z oczekiwanym. Kod, który wstępnie wypełnia wiadomość do numeru o podwyższonej opłacie albo do nieznanego adresu, to sygnał ostrzegawczy.